## DMS Set Time request DMS Set Time request |

## Functions

QmiMessageDmsSetTimeInput * | qmi_message_dms_set_time_input_new ()
QmiMessageDmsSetTimeInput * | qmi_message_dms_set_time_input_ref ()
void | qmi_message_dms_set_time_input_unref ()
gboolean | qmi_message_dms_set_time_input_get_time_reference_type ()
gboolean | qmi_message_dms_set_time_input_set_time_reference_type ()
gboolean | qmi_message_dms_set_time_input_get_time_value ()
gboolean | qmi_message_dms_set_time_input_set_time_value ()
QmiMessageDmsSetTimeOutput * | qmi_message_dms_set_time_output_ref ()
void | qmi_message_dms_set_time_output_unref ()
gboolean | qmi_message_dms_set_time_output_get_result ()
void | qmi_client_dms_set_time ()
QmiMessageDmsSetTimeOutput * | qmi_client_dms_set_time_finish ()

## Types and Values

| QmiMessageDmsSetTimeInput
| QmiMessageDmsSetTimeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetTimeInput
        ╰── QmiMessageDmsSetTimeOutput

## Description

## Functions

### qmi_message_dms_set_time_input_new ()

    QmiMessageDmsSetTimeInput *
    qmi_message_dms_set_time_input_new (void);

Allocates a new QmiMessageDmsSetTimeInput.

#### Returns

the newly created QmiMessageDmsSetTimeInput. The returned value should be freed with `qmi_message_dms_set_time_input_unref()`.

Since: 1.0

### qmi_message_dms_set_time_input_ref ()

    QmiMessageDmsSetTimeInput *
    qmi_message_dms_set_time_input_ref (QmiMessageDmsSetTimeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetTimeInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_time_input_unref ()

    void
    qmi_message_dms_set_time_input_unref (QmiMessageDmsSetTimeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetTimeInput. |

Since: 1.0

### qmi_message_dms_set_time_input_get_time_reference_type ()

    gboolean
    qmi_message_dms_set_time_input_get_time_reference_type
                                   (QmiMessageDmsSetTimeInput *self,
                                    QmiDmsTimeReferenceType *value_time_reference_type,
                                    GError **error);

Get the 'Time Reference Type' field from `self` .

#### Parameters

self | a QmiMessageDmsSetTimeInput. |
value_time_reference_type | a placeholder for the output QmiDmsTimeReferenceType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_time_input_set_time_reference_type ()

    gboolean
    qmi_message_dms_set_time_input_set_time_reference_type
                                   (QmiMessageDmsSetTimeInput *self,
                                    QmiDmsTimeReferenceType value_time_reference_type,
                                    GError **error);

Set the 'Time Reference Type' field in the message.

#### Parameters

self | a QmiMessageDmsSetTimeInput. |
value_time_reference_type | a QmiDmsTimeReferenceType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_time_input_get_time_value ()

    gboolean
    qmi_message_dms_set_time_input_get_time_value
                                   (QmiMessageDmsSetTimeInput *self,
                                    guint64 *value_time_value,
                                    GError **error);

Get the 'Time Value' field from `self` .

#### Parameters

self | a QmiMessageDmsSetTimeInput. |
value_time_value | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_time_input_set_time_value ()

    gboolean
    qmi_message_dms_set_time_input_set_time_value
                                   (QmiMessageDmsSetTimeInput *self,
                                    guint64 value_time_value,
                                    GError **error);

Set the 'Time Value' field in the message.

#### Parameters

self | a QmiMessageDmsSetTimeInput. |
value_time_value | a guint64. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_time_output_ref ()

    QmiMessageDmsSetTimeOutput *
    qmi_message_dms_set_time_output_ref (QmiMessageDmsSetTimeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetTimeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_time_output_unref ()

    void
    qmi_message_dms_set_time_output_unref (QmiMessageDmsSetTimeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetTimeOutput. |

Since: 1.0

### qmi_message_dms_set_time_output_get_result ()

    gboolean
    qmi_message_dms_set_time_output_get_result
                                   (QmiMessageDmsSetTimeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetTimeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_dms_set_time ()

    void
    qmi_client_dms_set_time (QmiClientDms *self,
                             QmiMessageDmsSetTimeInput *input,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Set Time request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_time_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetTimeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_set_time_finish ()

    QmiMessageDmsSetTimeOutput *
    qmi_client_dms_set_time_finish (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_time()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_time()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetTimeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_time_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsSetTimeInput

    typedef struct _QmiMessageDmsSetTimeInput QmiMessageDmsSetTimeInput;

The QmiMessageDmsSetTimeInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsSetTimeOutput

    typedef struct _QmiMessageDmsSetTimeOutput QmiMessageDmsSetTimeOutput;

The QmiMessageDmsSetTimeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0